#!/usr/bin/perl
#	@(#) check-success.pl - Check each HTML output for success
#  Usage: check-success.pl filename ...

use HTML::TreeBuilder;

foreach my $file (@ARGV) {
	my $rc = check_success($file);

	if ($rc) {
		printf "%s OK\n", $file;
	} else {
		printf "%s BAD\n", $file;
	}
}

exit(0);

sub check_success {
	my $file = shift;

	open(F, "<$file") || die "Unable to open $file: $!";

	while (<F>) {
		chomp;
		if (/The record for your domain name/i && /has been successfully/i) {
			close(F);
			return 1;
		}
	}

	close(F);

	return 0;
}
